The create command create a bucket on a {ANYNODE}.
JSON Input Data Format

    {
        "name": string,
        "cloudid": string,
        "events": boolean,
        "put": boolean,
        "get": boolean,
        "delete": boolean,
        "prefix": string,
        "suffix": string,
        "queue": string,
        "encrypt": boolean,
        "versioning": boolean,
        "lockmode": boolean,
        "retentionmode": string,
        "duration": integer,
        "time": string

    }

name * | Specifies the name for the bucket. Input guidelines mandate lowercase letters from a to z and digits from 0 to 9, with no spaces allowed.
cloudid * | Specifies the ID of the {ANYNODE}.
events | Indicates whether events are forwarded to an Event Hub, which defaults to false. If set to false, the properties for put, get, delete, prefix, suffix, and queue will be disregarded. If set to true, at least one of the put, get, or delete properties must be enabled, and the queue must be assigned the Event Hub's ID.
put | Indicates whether put events are forwarded to an Event Hub, which defaults to false.
get | Indicates whether get events are forwarded to an Event Hub, which defaults to false.
delete | Indicates whether delete events are forwarded to an Event Hub, which defaults to false.
prefix | A prefix is a string of characters at the beginning of an object key name, used to filter events for object names that start with that prefix.
suffix | A suffix is a string of characters at the end of an object key name, used to filter events for object names that end with that suffix.
queue | Specifies the Event Hub ID to which the events will be forwarded.
encrypt | Specifies whether the objects stored in the bucket are encrypted, which defaults to false.
versioning | Specifies whether object versioning is enabled in the bucket, which defaults to false.
lockmode | Specifies whether the bucket will enforce retention locking policies, which defaults to false. If set to true, versioning will be enabled automatically.
retentionmode | Specifies the retention level, which include: governance Prevents any operation that would alter the object or its locking settings by non-privileged users. The lock is automatically lifted once the configured retention rule duration has elapsed. The Nexus Admin user can lift the lock manually. compliance Prevents any operation that would alter the object or its locking settings. The lock is automatically lifted after the configured retention rule duration has elapsed, and it cannot be manually lifted by any user. This option enforces complete immutability for locked objects, ensuring that the lock cannot be changed or removed before the retention period expires. The default value is governance.
duration | Specifies the duration of the retention lock in days or years. The default value is 1.
time | Specifies the time metric used for the retention lock, which can be either days or years. The default value is years.

* Indicates a mandatory field.

Code Snippets
Here are several code snippets provided for your direct use. Simply select your preferred tool/language by clicking on it.
Successful Response

    {
        "result": "OK",
        "payload": "The process was successfully completed",
        "id": "V7-49ff499f-xxxx-xxxx-xxxx-b47fxxxx99af"
    }

Failed Response

    {
        "result": "ERR",
        "message": "Error message ..."
    }